Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.vistech.imageviewer
Interface ImagePrint

All Superinterfaces:
  java.awt.print.Printable

All Known Implementing Classes:
  ImageCanvas

public interface ImagePrint
extends java.awt.print.Printable

Specifies methods for printing images drawn on a canvas

Version:
  1.0 1 No 1999
Author:
  Larry Rodrigues

Fields inherited from interface java.awt.print.Printable
`NO_SUCH_PAGE, PAGE_EXISTS`

Method Summary
`java.awt.Point` | `getPrintLocation()` Returns the ULHC of the print location.
`java.awt.Dimension` | `getPrintSize()` Returns the print size.
`void` | `printImage(java.awt.Graphics2D g)` Prints the image(s)drawn on the input graphics context.
`void` | `setPrintLocation(java.awt.Point d)` Sets the ULHC location at which the printing starts.
`void` | `setPrintSize(java.awt.Dimension d)` Sets the size of the print.

Methods inherited from interface java.awt.print.Printable
`print`

Method Detail

### setPrintLocation

    public void setPrintLocation(java.awt.Point d)

  Sets the ULHC location at which the printing starts.
  Parameters:
    `d` - the ULHC location.

### getPrintLocation

    public java.awt.Point getPrintLocation()

  Returns the ULHC of the print location.
  Returns:
    the print location

### setPrintSize

    public void setPrintSize(java.awt.Dimension d)

  Sets the size of the print.
  Parameters:
    `d` - the print size.

### getPrintSize

    public java.awt.Dimension getPrintSize()

  Returns the print size.
  Returns:
    the print size.

### printImage

    public void printImage(java.awt.Graphics2D g)

  Prints the image(s)drawn on the input graphics context.
  Parameters:
    `g` - the graphics context over which images are drawn.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD